/*
 * $Id$
 *
 *  Copyright (c) 2019 NetApp, Inc.
 *  All rights reserved.
 */

package com.netapp.df.uba.server.common.elastic.aggregations

/*Constants used in aggregation queries*/
object AggregationFieldConstants {

  // Top hits Aggregation
  val groupByIdField = "group_by_id"
  val orderBySortField = "order_by_sortfield"

  // Bucket sort Aggregation
  val groupByEntityId = "group_by_entityId"
  val groupByUserId = "group_by_userId"
  val locationBucketSort = "location_bucket_sort"

  val defaultCardinalityZeroCount = 0L

  // Cardinality Aggregation
  val uniqueUsers = "unique_users"
  val uniqueEntities = "unique_entities"
  val distinctDocumentsCount = "distinct_documents"
  val activitiesCount = "activities_count"

  // Max aggregation
  val getMaxByField = "max_by_field"

  //Bucket selector aggregation
  val tStampBktSelectorFilter = "timestamp_bucket_filter"

  // group by severity
  val groupBySeverityField = "group_by_severity"

  //max buckets fetched during any aggregation
  val MAX_AGG_BUCKET_SIZE = 10000

  // Compound aggregation to find  lastAccessedLocation of an Entity
  val lastAccessedLocation = "last_accessed_location"

  //default cardinality precision threshold
  val DEFAULT_CARDINALITY_PRECISION_THRESHOLD = 3000

  // max datasources supported
  val MAX_SUPPORTED_DATASOURCES = 100

  // max supported dataVolumes
  val MAX_SUPPORTED_DATAVOLUMES = 500
}
