/*
 * $Id$
 *
 * Copyright (c) 2021 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.df.uba.server.common.elastic.model

import com.netapp.df.uba.server.common.misc.api.JsonFormats
import spray.json.RootJsonFormat

/**
  * A case class representing the Elastic data cluster as obtained from service-tenants
  */
case class EsClusterInfo(
                          id: String,
                          hosts: List[String],
                          httpPort: Int,
                          transportPort: Int = 0,
                          clusterType: String = "level1",
                          isSchedulable: Boolean = true
                        )
class EsClusterInfoJsonFormats extends JsonFormats {
  implicit val esClusterInfoFormatter: RootJsonFormat[EsClusterInfo] = jsonFormat6(EsClusterInfo.apply)
}