/*
 * $Id$
 *
 * Copyright (c) 2021 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.df.uba.server.common.elastic.utils

import com.netapp.df.uba.server.common.elastic.utils.BoxType.BoxType
import com.netapp.df.uba.server.common.misc.utils.SettingUtils
import com.typesafe.config.Config

//Index Routing settings to decide where the index shards should be placed based on node attributes.
object IndexRouteSettings {
  def apply(config: Config): IndexRouteSettings = {
    //Box type attribute(hot/warm/cold) to decide the node where the index shards should be placed.
    val boxTypeConfig = SettingUtils.mandatoryConfigValue(config, "box_type").trim
    new IndexRouteSettings(BoxType.withName(boxTypeConfig))
  }
}

case class IndexRouteSettings(boxTypeConfig: BoxType)

object BoxType extends Enumeration {
  type BoxType = Value

  val Hot: BoxType = Value("hot")
  val Warm: BoxType = Value("warm")
  val Cold: BoxType = Value("cold")
}