/*
 * $Id$
 *
 * Copyright (c) 2020 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.df.uba.server.common.flink.utils

/**
  * A trait to have some callbacks during savepoint management
  * as part of Flink job reset
  */
trait SavepointCallbackHandler {
  def savepointTriggered(triggerId: String): Unit

  def savepointSucceeded(triggerId: String, location: String): Unit

  def savepointFailed(triggerId: String): Unit
}

/**
  * An implementation of the trait that does nothing
  */
class NoOpSavepointCallbackHandler() extends SavepointCallbackHandler {
  override def savepointTriggered(triggerId: String) = {}

  override def savepointSucceeded(triggerId: String, location: String) = {}

  override def savepointFailed(triggerId: String) = {}
}