/*
 * $Id$
 *
 * Copyright (c) 2018 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.df.uba.server.common.misc.dbmodel

/**
  * Enumeration representing the normalized set of event types
  */
object MetadataEventType extends Enumeration {
  type MetadataEventType = Value

  val Created: MetadataEventType = Value("created")
  val Read: MetadataEventType = Value("read")
  val ReadMetadata: MetadataEventType = Value("readMetadata")
  val Copied: MetadataEventType = Value("copied")
  val Deleted: MetadataEventType = Value("deleted")
  val Write: MetadataEventType = Value("write")
  val WriteMetadata: MetadataEventType = Value("writeMetadata")
  // ChangePermission, ChangeOwner, ChangeGroupOwnership are sub types for WriteMetadata from FPolicy
  val ChangePermission: MetadataEventType = Value("changePermission")
  val ChangeOwner: MetadataEventType = Value("changeOwner")
  val ChangeGroupOwnership: MetadataEventType = Value("changeGroupOwnership")
  val Moved: MetadataEventType = Value("moved")
  val Renamed: MetadataEventType = Value("renamed")
  val OtherChange: MetadataEventType = Value("otherChange")
  val FullRefresh: MetadataEventType = Value("fullRefresh")
  val UnknownChange: MetadataEventType = Value("unknownChange")
}
