/*
 * $Id$
 *
 * Copyright (c) 2018 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.df.uba.server.common.misc.dbmodel

/**
  * Case class representing the database model of user community count metrics
  * id: Identifier for the metric
  * tenantId: Tenant to which the metric belongs to
  * userId: User to which this metric is associated with
  * metricTimestamp - timestamp of the metric
  * metricValue - represents the count of communities user is found if
  */
case class UserCommunityCountMetricDb(id: String,
                                      tenantId: String,
                                      userId: String,
                                      metricTimestamp: Long,
                                      metricValue: Double
                                     )