/*
 * $Id$
 *
 * Copyright (c) 2018 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.df.uba.server.common.misc.dbmodel

/**
  * User class represents the user object stored in Elasticsearch database
  */
case class UserDb(tenantId: String,
                  id: String,
                  datasourceId: String,
                  name: String,
                  displayName: String,
                  reportedId: String,
                  userIdInDirectory: String,
                  userDirectoryId: String,
                  attributes: Map[String, String],
                  lastReportedTimestamp: Long,
                  communityCount: Long,
                  communityUpdateTimestamp: Long,
                  unixReportedId: Option[String]) extends ObjWithIdAndLastReported {
  /**
    * @return True if this is a raw user
    */
  def isRaw: Boolean = {
    displayName.equalsIgnoreCase(reportedId) || displayName.equalsIgnoreCase(unixReportedId.getOrElse(""))
  }

  /**
    * @return True if this is a raw user
    */
  def isReal: Boolean = !isRaw
}