/*
 * $Id$
 *
 * Copyright (c) 2018 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.df.uba.server.common.misc.model

import com.netapp.df.uba.server.common.misc.model.StringConstants._

// Base trait for component states
trait ComponentState {
  def stateString: String
}

case object ComponentInitializing extends ComponentState {
  override def stateString: String = InitializingString
}

final case class ComponentError(reason: String) extends ComponentState {
  override def stateString: String = ErrorString
}

case object ComponentRunning extends ComponentState {
  override def stateString: String = RunningString
}

case object ComponentStopping extends ComponentState {
  override def stateString: String = StoppingString
}

case object ComponentStopped extends ComponentState {
  override def stateString: String = StoppedString
}