/*
 * $Id$
 *
 * Copyright (c) 2018 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.df.uba.server.common.misc.model

/**
  * An enumeration representing the different error codes that are potentially
  * possible in different APIs of the micro-service.
  * Ensure the mapping status code is defined in ErrorUtils
  * if the error code is used as a response from API
  */
object ErrorCode extends Enumeration {
  type ErrorCode = Value

  val InternalError: ErrorCode = Value
  val BadRequest: ErrorCode = Value
  val NotFound: ErrorCode = Value
  val ObjectNotDiscovered: ErrorCode = Value
  val InvalidCredentials: ErrorCode = Value
  val ConnectionNotEstablished: ErrorCode = Value
  val NotAuthorized: ErrorCode = Value
  val InvalidToken: ErrorCode = Value
  val TokenExpired: ErrorCode = Value

  val ServiceNotRunning: ErrorCode = Value
  val ServiceUnsupported: ErrorCode = Value
  val ServiceDisabled: ErrorCode = Value
  val ServiceFailed: ErrorCode = Value

  val InvalidAgentId: ErrorCode = Value

  val InvalidDatasourceId: ErrorCode = Value
  val InventoryRefreshFailure: ErrorCode = Value
  val UnsupportedDatasource: ErrorCode = Value
  val UnsupportedDatasourceVersion: ErrorCode = Value

  val NoError: ErrorCode = Value
}