/*
 * $Id$
 *
 *  Copyright (c) 2018 NetApp, Inc.
 *  All rights reserved.
 */
package com.netapp.df.uba.server.common.misc.model

import com.netapp.oci.jwt.JWTAuthData

import scala.collection.JavaConverters._

/**
  * JwtTokenContext is a case class having the JWT token details,
  */
case class JwtTokenContext(tenantId: String, login: String, roles: Set[String], expiresTime: java.util.Date, claims: Map[String, String])

// JwtTokenContext object takes all the values from JwtAuthData
object JwtTokenContext {
  def apply(jwtAuthData: JWTAuthData): JwtTokenContext = {
    JwtTokenContext(
      jwtAuthData.getTenant,
      jwtAuthData.getLogin,
      jwtAuthData.getRoles.asScala.toSet,
      jwtAuthData.getExpireAt,
      jwtAuthData.getClaims.asScala.toMap
    )
  }
}