/*
 * $Id$
 *
 * Copyright (c) 2018 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.df.uba.server.common.misc.model

import com.netapp.df.uba.server.common.misc.model.ServiceName.ServiceName

// Base trait for service related commands. All take a service name as parameter
trait ServiceCommand extends Command {
  def serviceName: ServiceName
}

// Case classes for different service commands
final case class Start(serviceName: ServiceName) extends ServiceCommand

final case class Stop(serviceName: ServiceName) extends ServiceCommand

final case class Delete(serviceName: ServiceName) extends ServiceCommand

// Class representing a event related to service to be sent to StateManager eventually
case class ServiceEventMessage(serviceName: ServiceName, state: ServiceStatus) extends Message

/**
  * Class representing an event indicating error in the component so that the micro-service can take action
  * if required. Actions could be retry or exit
  */
case class ComponentInError(reason: String)
