/*
 * $Id$
 *
 * Copyright (c) 2018 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.df.uba.server.common.misc.model

/**
  * ServiceName enumeration object represents different internal services
  */
object ServiceName extends Enumeration {
  type ServiceName = Value

  // Used by ingestion/receiver micro-services
  val AgentDataReceiver: ServiceName = Value("agent-data-receiver")
  val TrafficDataReceiver: ServiceName = Value("traffic-data-receiver")

  // Used by cd and cr micro-services - unused currently
  val CommunityDetector: ServiceName = Value("community-detector")
  val CommunityResolver: ServiceName = Value("community-resolver")

  // Used in Pipeline job manager micro-services
  val FlinkJobManager: ServiceName = Value("flink-job-manager")
  val TrafficJobManager: ServiceName = Value("traffic-job-manager")

  // Used in Forensic APIs micro-service
  val ForensicApis: ServiceName = Value("forensic-apis")

  // Used in datacluster-manager micro-service
  val DataClusterManager: ServiceName = Value("datacluster-manager")
}