/*
 * $Id$
 *
 * Copyright (c) 2022 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.df.uba.server.common.misc.utils

import akka.actor.ActorRef

object ActorPathUtils {
  /**
    * In real runs the name of the actor is for example kafkaInfraCheck-1
    * In test runs the name is kafkaInfraCheck-1-33
    * So, extract only kafkaInfraCheck from the name
    */
  def prefixNameFromPath(childActor: ActorRef): String = {
    val indexOfHyphen = childActor.path.name.indexOf('-')
    childActor.path.name.substring(0, indexOfHyphen)
  }

  /**
    * In real runs the name of the actor is for example jobmonitor-jobid
    * In test runs the name is jobmonitor-events-33
    * So, extract only events from the name
    */
  def suffixNameFromPath(childActor: ActorRef): String = {
    val splitByHyphen = childActor.path.name.split("-")
    if (splitByHyphen.size > 1) splitByHyphen(1)
    else childActor.path.name
  }
}
