/*
 * $Id$
 *
 * Copyright (c) 2022 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.df.uba.server.common.pipeline.job

import com.netapp.df.uba.server.common.misc.api.JsonFormats
import com.netapp.df.uba.server.common.pipeline.data.{Pipeline, ResetPipelineInfo, SavePoint}
import spray.json._

trait PipelineJsonFormats extends JsonFormats {

  implicit val resetPipelineInfoFormatter: RootJsonFormat[ResetPipelineInfo] = new RootJsonFormat[ResetPipelineInfo] {

    override def read(jsonString: JsValue): ResetPipelineInfo = ResetPipelineInfo.fromJsonString(jsonString.compactPrint)

    override def write(resetPipelineInfo: ResetPipelineInfo): JsValue = resetPipelineInfo.toJsonString.parseJson
  }

  implicit val pipelineFormatter: RootJsonFormat[Pipeline] = new RootJsonFormat[Pipeline] {

    override def read(jsonString: JsValue): Pipeline = Pipeline.fromJsonString(jsonString.compactPrint)

    override def write(pipeline: Pipeline): JsValue = pipeline.toJsonString.parseJson
  }

  implicit val savepointFormatter: RootJsonFormat[SavePoint] = new RootJsonFormat[SavePoint] {

    override def read(jsonString: JsValue): SavePoint = SavePoint.fromJsonString(jsonString.compactPrint)

    override def write(savePoint: SavePoint): JsValue = savePoint.toJsonString.parseJson
  }
}